Page MenuHomePhabricator

[Design EPIC]: Isolate Section Editing
Closed, ResolvedPublic

Description

Background + Hypothesis

The Editing team will be isolating section editing by removing everything else and only allowing the editing of one section

When I am editing an article I want to focus on just the section I intend to edit...
...so that I can confidently complete the edit.

Prep tasks
Comparative Review

Proposed design
Invision Mockups

Sub-tasks

  • Conduct user testing of initial designs

Notes from previous conversations with the team around design will be recorded below

Event Timeline

JTannerWMF triaged this task as Normal priority.Nov 20 2018, 5:08 PM
JTannerWMF created this task.
JTannerWMF moved this task from To Triage to Epics on the VisualEditor board.
JTannerWMF updated the task description. (Show Details)Nov 20 2018, 5:11 PM
Jdforrester-WMF changed the edit policy from "Custom Policy" to "All Users".Nov 28 2018, 5:15 PM
DannyH renamed this task from [Design EPIC] Isolate Section Editing to [Design EPIC]: Isolate Section Editing .Nov 28 2018, 5:26 PM
iamjessklein updated the task description. (Show Details)Nov 29 2018, 2:15 PM
iamjessklein updated the task description. (Show Details)

@iamjessklein, @Esanders I want to clarify one thing: after we deploy this, all mobile VE edits will be section edits unless we put in a fix for T203151, right? (I don't have an issue with that—in fact it's a bit nice for me since it simplifies the analysis 😁)

iamjessklein updated the task description. (Show Details)Mar 18 2019, 3:51 PM
iamjessklein closed this task as Resolved.Mar 19 2019, 12:51 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 19 2019, 12:51 PM